//////////////////////////////////////////
// Cell.cpp
//Copyright (c) 08/04/2025 by BCCSkelton
//////////////////////////////////////////
#include	"Cell.h"
#include	"CellProc.h"

////////////////
// WinMain関数
////////////////
int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
					LPSTR lpCmdLine, int nCmdShow) {

	//２重起動防止
	if(!Cell.IsOnlyOne()) {
		HWND hWnd = FindWindow("MainWnd", "Cell");
		if(IsIconic(hWnd))
			ShowWindow(hWnd, SW_RESTORE);
		SetForegroundWindow(hWnd);
		return 0L;
	}

	//モードレスダイアログを作成Create(hParent, DlgName, DlgProc);
	if(!Cell.Create(NULL, hInstance, "IDD_DLG", ModelessProc))
		return 0L;

	//メッセージループに入る
	return Cell.Loop();
}
